function ClassCombo()
{
    this.getImg = ss_data.clone();
    this.getImg.visible = false;
    this.getImg.regY = 20*devise_size;
    this.time = 0;
}

ClassCombo.prototype.Create = function()
{
    this.getImg.visible = false;
    this.time = 0;
};

ClassCombo.prototype.Set = function(a)
{
    if(a == 5)
    {
        this.getImg.visible = true;
        this.getImg.gotoAndStop("text_perfect");
        this.getImg.regX = 79*devise_size;
        this.time = 30;
        game.grid.AddBonus("glow");
    }
    else
    {
        if(a == 6)
        {
            this.getImg.visible = true;
            this.getImg.gotoAndStop("text_great");
            this.getImg.regX = 64*devise_size;
            this.time = 30;
            game.grid.AddBonus("glow");
        }
        else
        {
            if(a >= 7)
            {
                this.getImg.visible = true;
                this.getImg.gotoAndStop("text_excellent");
                this.getImg.regX = 104*devise_size;
                this.time = 30;
                game.grid.AddBonus("glow");
            }
        }
    }
};

ClassCombo.prototype.Drw = function()
{
    if(this.time > 0)
    {
        this.time--;
        if(this.time == 0)
            this.getImg.visible = false;
    }
};